import 'dart:async';

import 'package:flutter/services.dart';

class Kpprinter {
  static const MethodChannel _channel =
      const MethodChannel('kpprinter');

  static Future<Map> get search async {
    final Map printer = await _channel.invokeMethod('printer_search');
    return printer;
  }


  static Future<String> connect(flutterPara) async {
    final String connectResult = await _channel.invokeMethod('printer_connectAPrinter',flutterPara);
    return connectResult;
  }

  static Future<String> disconnect(flutterPara) async {
    final String connectResult = await _channel.invokeMethod('printer_disconnectAPrinter',flutterPara);
    return connectResult;
  }

  static Future<String> print(flutterPara) async {
    final String printResult = await _channel.invokeMethod('printer_print',flutterPara);
    return printResult;
  }

  static Future<String> bluetoothIsOpened(flutterPara) async {
    final String connectResult = await _channel.invokeMethod('printer_bluetoothIsOpened',flutterPara);
    return connectResult;
  }








}